メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /sites//markdown/export

サイトのすべての URL とその本文を Markdown として生成して返します。有料プランのみ利用できます。
有料契約が必要です。無料ユーザーはエラーになります。

パスパラメーター

siteId
string
必須
エクスポートするサイトの ID。

クエリパラメーター

format
string
デフォルト:"individual"
出力形式:
  • individual: URL ごとの Markdown を JSON で返す
  • combined: 結合済み Markdown を 1 ファイルで返す
fresh
boolean
デフォルト:"false"
true の場合、キャッシュではなく最新のコンテンツを取得します。

レスポンス

format=individual の場合は JSON が返ります。
success
boolean
エクスポートが成功したかどうか。
format
string
出力形式(individual)。
files
array
Markdown ファイルオブジェクトの配列。
format=combined の場合はプレーンテキストの Markdown と、ダウンロード用の Content-Disposition ヘッダーが返ります。
curl -X GET "https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000/markdown/export" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "format": "individual",
  "files": [
    {
      "url": "https://example.com/",
      "title": "Example Domain - Home",
      "markdown": "# Example Domain\n\nWelcome to Example Domain...\n"
    },
    {
      "url": "https://example.com/about",
      "title": "About Us",
      "markdown": "# About Us\n\nLearn more about Example Domain...\n"
    }
  ]
}